#include <stdio.h>

#include <VRS51L3074_SDCC.h>

#include "lowlevel.h"
#include "highlevel.h"
#include "highlevel_text.h"
#include "icondump.h"


#include "icon.h"




//;-------------------------------------------------------------------
//;- DELAY1MSTO : 1MS DELAY USING TIMER0
//; CALIBRATED FOR 40MHZ
//;-------------------------------------------------------------------
void delay(unsigned int dlais){
idata unsigned char x=0;
idata unsigned int dlaisloop;
x = PERIPHEN1; //LOAD PERIPHEN1 REG
x |= 0x01; //ENABLE TIMER 0
PERIPHEN1 = x;
dlaisloop = dlais;
while ( dlaisloop > 0)
{
TH0 = 0x63; //TIMER0 RELOAD VALUE FOR 1MS AT 40MHZ
TL0 = 0xC0;
T0T1CLKCFG = 0x00; //NO PRESCALER FOR TIMER 0 CLOCK
T0CON = 0x04; //START TIMER 0, COUNT UP
do{
x=T0CON;
x= x & 0x80;
}while(x==0);
T0CON = 0x00; //Stop Timer 0
dlaisloop = dlaisloop-1;
}//end of while dlais...
x = PERIPHEN1; //LOAD PERIPHEN1 REG
x = x & 0xFE; //DISABLEBLE TIMER 0
PERIPHEN1 = x;
}//End of function delais

#define MsDelay(a) delay(a)

/* MAIN PROGRAM */

main()
{
int i;

	LCD_init();
	while(1){
	  LCD_clear();	 
	  LCD_print6at(0,0,"Texto en 6x8, 20 cpl");
	  LCD_print8at(2,0,0,"Texto 8x8, 16cpl");
	  LCD_print8at(4,0,'B',"Texto 8x16,16cpl");
	  MsDelay (5000);
	  LCD_invert(4,0,20*6);
	  LCD_invert(0,2,16*8);
	  LCD_invert(0,4,16*8);
	  LCD_invert(0,5,16*8);
	  MsDelay (5000);
	  i=10;
	  while(i--){
	    LCD_icon(icon,(128-35)/2,2,35,4);
	    MsDelay(500);
	    LCD_area(0,(128-35)/2,2,35,4);
	    MsDelay(500);
	  }
	}
}
